Bug 13861 - \n in strings don't translate well
Summary: \n in strings don't translate well
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-18 00:45 UTC by Katrin Fischer
Modified: 2015-12-03 22:02 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13861: \n in confirmation message on closing a budget (1.66 KB, patch)
2015-03-18 00:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13861: \n in confirmation message on closing a budget (1.75 KB, patch)
2015-03-19 10:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-18 00:45:11 UTC
Line breaks done with \n in Javascript strings will cause problems in translation as Pootle escapes them automatically. The result is that in a translated template \n is shown instead of a line break.
Comment 1 Katrin Fischer 2015-03-18 00:49:24 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2015-03-19 10:35:10 UTC
Created attachment 37004 [details] [review]
Bug 13861: \n in confirmation message on closing a budget

\n in strings doesn't translate well, so we move it outside
the translated string.

To test:
- create at least 2 budgets
- close one of the budgets (moving orders from one budget to the other)
- after selecting the budget to move your orders to, save
- the confirmation message shown should read:

You have chosen to move all unreceived orders from 'budget 1' to 'budget 2'.
This action cannot be reversed. Do you wish to continue?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2015-03-19 10:36:05 UTC
Very trivial: Passed QA in one run.
Comment 4 Tomás Cohen Arazi 2015-03-19 17:11:41 UTC
Patch pushed to master.

Thanks Katrina!
Comment 5 Chris Cormack 2015-03-27 23:54:28 UTC
Pushed to 3.18.x will be in 3.18.6